Module java.desktop
Package javax.swing.event

# Class UndoableEditEvent

java.lang.Object
java.util.EventObject
javax.swing.event.UndoableEditEvent

All Implemented Interfaces:
  `Serializable`

public class UndoableEditEvent extends EventObject
An event indicating that an operation which can be undone has occurred.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

## Field Summary

### Fields declared in class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`UndoableEditEvent​(Object source, UndoableEdit edit)`
Constructs an UndoableEditEvent object.

## Method Summary

Modifier and Type
Method
Description
`UndoableEdit`
`getEdit()`
Returns the edit value.

### Methods declared in class java.util.EventObject

`getSource, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UndoableEditEvent

public UndoableEditEvent​(Object source, UndoableEdit edit)
Constructs an UndoableEditEvent object.

Parameters:
  `source` - the Object that originated the event (typically `this`)
  `edit` - an UndoableEdit object

## Method Details

### getEdit

public UndoableEdit getEdit()
Returns the edit value.

Returns:
  the UndoableEdit object encapsulating the edit